EDIT - bug #9124

Altitude feature should have [m] as measurement unit by default
07/04/2020 06:33 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

This requires that measurement units are loaded before.

Update script needed

Related issues:
Related to EDIT - feature request #9043: Add feature "Altitude” Closed

Associated revisions

Revision 5b34cfd9 - 09/07/2020 05:52 PM - Andreas Miiller

ref #9121 and ref #9124 add abbreviations to feature and add measurement unit to feature altitude

Revision d7bb67dd - 09/07/2020 05:52 PM - Andreas Miiller
fix #9124 add meter to altitude (update script)

Revision cc651bea - 09/07/2020 10:34 PM - Andreas Miiller

ref #9124 skip altitude adder if altitude feature does not yet exist

Revision 8878e1fa - 09/24/2020 03:01 PM - Andreas Miiller

ref #9124 fix incorrect Altituded recommended measurement unit update script

Revision 724595b1 - 09/24/2020 03:11 PM - Andreas Miiller
ref #9124 fix taxeditor test H2

Revision fef9465d - 09/24/2020 05:02 PM - Andreas Miiller

ref #9124 fix altitude recommended measurement units issue in vaadin

History

#1 - 07/04/2020 06:42 PM - Andreas Miiller
- Related to feature request #9043: Add feature "Altitude” added

#2 - 09/02/2020 03:15 PM - Andreas Miiller
- Priority changed from New to Highest

#3 - 09/03/2020 12:02 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#4 - 09/24/2020 03:36 PM - Andreas Miuller

The first implementatin of the update script had a serious bug as it filled the table DefinedTermBase_StatisticalMeasure instead of
DefinedTermBase_MeasurementUnit.

This is fixed and an update script for the wrong update is committed. The result can be checked by:

SELECT MN.feature_id, MN.recommendedstatisticalmeasures_id
FROM DefinedTermBase_StatisticalMeasure MN
INNER JOIN DefinedTermBase alt ON alt.id = MN.feature_id
INNER JOIN DefinedTermBase sm ON sm.id = MN.recommendedstatisticalmeasures_id
WHERE alt.uuid = 'la28ed59-el15f-4001-b5c2-ea89f0012671"' AND sm.uuid = '8bef5055-789c-41le5-bea2-8dc2ea8ecdf6’';

SELECT MN.REV, MN.feature_id, MN.recommendedstatisticalmeasures_id

FROM DefinedTermBase_StatisticalMeasure_AUD MN

INNER JOIN DefinedTermBase_AUD alt ON alt.id = MN.feature_id

INNER JOIN DefinedTermBase_AUD sm ON sm.id = MN.recommendedstatisticalmeasures_id

WHERE alt.uuid = 'la28ed59-el15f-4001-b5c2-ea89f0012671"' AND sm.uuid = '8bef5055-789c-41le5-bea2-8dc2ea8ecdf6’';

SELECT MN.feature_id, MN.recommendedmeasurementunits_id

FROM DefinedTermBase_MeasurementUnit MN

INNER JOIN DefinedTermBase alt ON alt.id = MN.feature_id

INNER JOIN DefinedTermBase sm ON sm.id = MN.recommendedmeasurementunits_id

WHERE alt.uuid = 'l1a28ed59-el15f-4001-b5c2-ea89f0012671"' AND sm.uuid = '8bef5055-789c-41le5-bea2-8dc2ea8ecdf6’';

SELECT MN.REV, MN.feature_id, MN.recommendedmeasurementunits_id
FROM DefinedTermBase_MeasurementUnit_AUD MN
INNER JOIN DefinedTermBase_AUD alt ON alt.id = MN.feature_id

INNER JOIN DefinedTermBase_AUD sm ON sm.id = MN.recommendedmeasurementunits_id
WHERE alt.uuid = 'la28ed59-el15f-4001-b5c2-ea89f0012671' AND sm.uuid = '8bef5055-789c-41le5-bea2-8dc2ea8ecdf6’

#5 - 11/27/2020 03:53 PM - Andreas Miiller
- % Done changed from 50 to 90

| tested on test and integration. The result looks fine. But we should also run on production once after the release therefore | keep ticket open.

#6 - 11/27/2020 04:04 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18

#7 - 11/27/2020 04:14 PM - Andreas Miiller
- % Done changed from 90 to 100

| expect this to work so | close the ticket.

#8 - 11/27/2020 04:14 PM - Andreas Miuller

- Status changed from Resolved to Closed
